<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-icon slot="start" name="home"></ion-icon>
        <ion-title>{{ "HEADER.MENU.SIGNUP" | translate }}</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
    <div id="container">
        <ion-card>
            <ion-card-content>
                <ion-item>
                    <ion-label position="floating">{{ "SIGNUP.NAME" | translate }}</ion-label>
                    <ion-input [(ngModel)]="signupInfo.name" type="text"></ion-input>
                </ion-item>
                <ion-item>
                    <ion-label position="floating">{{ "SIGNUP.EMAIL" | translate }}</ion-label>
                    <ion-input [(ngModel)]="signupInfo.email" type="text"></ion-input>
                </ion-item>
                <ion-item>
                    <ion-label position="floating">{{ "SIGNUP.PASSWORD" | translate }}</ion-label>
                    <ion-input [(ngModel)]="signupInfo.password" type="password"></ion-input>
                </ion-item>
                <ion-item>
                    <ion-button (click)="doSignup()">{{ "SIGNUP.SIGNUP" | translate }}</ion-button>
                    <ion-button (click)="redirect('signin')">{{ "SIGNIN.SIGNIN" | translate }}</ion-button>
                </ion-item>
            </ion-card-content>
        </ion-card>
    </div>
</ion-content>